Join us live on
Discord on the Google Advertising and Measurement Community server and on
YouTube on April 23rd at 10:00 AM EST! We will discuss the new features added in v24 of the Google Ads API.
CreateCustomerClient
Stay organized with collections
Save and categorize content based on your preferences.
outlined_flag
The CreateCustomerClient RPC call creates a new client under a manager account and returns the new client customer.
This method can throw various errors including AuthenticationError, AuthorizationError, and QuotaError.
Using this method requires the https://www.googleapis.com/auth/adwords OAuth scope.
gRPC
REST
HTTP request
POST https://googleads.googleapis.com/v22/customers/{customerId}:createCustomerClient
The URL uses gRPC Transcoding syntax.
Path parameters
Parameters
customerId
string
Required. The ID of the Manager under whom client customer is being created.
Request body
The request body contains data with the following structure:
JSON representation
{
"customerClient" : {
object (Customer )
} ,
"accessRole" : enum (AccessRole ) ,
"validateOnly" : boolean ,
"emailAddress" : string
}
Fields
accessRole
The proposed role of user on the created client customer. Accessible only to customers on the allow-list.
customerClient
Required. The new client customer to create. The resource name on this customer will be ignored.
emailAddress
string
Email address of the user who should be invited on the created client customer. Accessible only to customers on the allow-list.
validateOnly
boolean
If true, the request is validated but not executed. Only errors are returned, not results.
Response body
Response message for customers.createCustomerClient mutate.
If successful, the response body contains data with the following structure:
JSON representation
{
"resourceName" : string ,
"invitationLink" : string
}
Fields
invitationLink
string
Link for inviting user to access the created customer. Accessible to allowlisted customers only.
resourceName
string
The resource name of the newly created customer. Customer resource names have the form: customers/{customerId}.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/adwords
For more information, see the OAuth 2.0 Overview .
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-03-19 UTC.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2026-03-19 UTC."],[],[]]